# This file created by conda-build 3.20.5
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Fri Jan  8 23:07:53 2021
# ------------------------------------------------

package:
    name: future
    version: 0.18.2
source:
    sha256: b1bead90b70cf6ec3f0710ae53a525360fa360d306a86583adc6bf83a4db537d
    url: https://pypi.io/packages/source/f/future/future-0.18.2.tar.gz
build:
    entry_points:
        - futurize = libfuturize.main:main
        - pasteurize = libpasteurize.main:main
    number: '3'
    script: /home/conda/feedstock_root/build_artifacts/future_1610147327521/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_plac/bin/python
        -m pip install . --no-deps --ignore-installed --no-cache-dir -vvv
    string: py38h578d9bd_3
requirements:
    build: []
    host:
        - _libgcc_mutex 0.1 conda_forge
        - _openmp_mutex 4.5 1_gnu
        - ca-certificates 2020.12.5 ha878542_0
        - certifi 2020.12.5 py38h578d9bd_1
        - ld_impl_linux-64 2.35.1 hea4e1c9_1
        - libffi 3.3 h58526e2_2
        - libgcc-ng 9.3.0 h5dbcf3e_17
        - libgomp 9.3.0 h5dbcf3e_17
        - libstdcxx-ng 9.3.0 h2ae2ef3_17
        - ncurses 6.2 h58526e2_4
        - openssl 1.1.1i h7f98852_0
        - pip 20.3.3 pyhd8ed1ab_0
        - python 3.8.6 hffdb5ce_4_cpython
        - python_abi 3.8 1_cp38
        - readline 8.0 he28a2e2_2
        - setuptools 49.6.0 py38h578d9bd_3
        - sqlite 3.34.0 h74cdb3f_0
        - tk 8.6.10 h21135ba_1
        - wheel 0.36.2 pyhd3deb0d_0
        - xz 5.2.5 h516909a_1
        - zlib 1.2.11 h516909a_1010
    run:
        - python >=3.8,<3.9.0a0
        - python_abi 3.8.* *_cp38
test:
    commands:
        - futurize -h
        - pasteurize -h
    imports:
        - future
about:
    description: 'Python-future  is the missing compatibility layer between Python
        2 and

        Python 3. It allows you to use a single, clean Python 3.x-compatible

        codebase to support both Python 2 and Python 3 with minimal overhead.

        '
    dev_url: https://github.com/PythonCharmers/python-future
    doc_url: http://python-future.org
    home: http://python-future.org
    license: MIT
    license_family: MIT
    license_file: LICENSE.txt
    summary: Clean single-source support for Python 3 and 2
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - jakirkham
        - mmysinger
        - ocefpaf
